
#include <stdlib.h>
#include <stdio.h>


int main(int argc, char *argv[])
{
  FILE *fin = fopen("calc.nofs", "rb");

  FILE *fout = fopen("calc.ds.gba", "wb");
  char buffer[1024]; 
  int n;

  if(argc < 3)
  {
      printf("Usage: %s [NUM] [ROM]\nExample: %s 85 ti85.rom\n\n", argv[0], argv[0]);
      exit(1);
  }

  if(!fin)
  {
      perror("error opening calc.nofs");
      exit(1);
  }
    
  if(!fout)
  {
      perror("error opening calc.ds.gba for writing");
      exit(1);
  }
    

  while(!feof(fin))
  {
      n = fread(buffer, 1, 1024, fin);
      fwrite(buffer, n, 1, fout);
  }
  fclose(fin);

  sprintf(buffer, "TIROM%c%c", argv[1][0], argv[1][1]);
  fwrite(buffer, 7, 1, fout);

  fin = fopen(argv[2], "rb");
  if(!fin)
  {
      perror("error opening rom");
      exit(1);
  }
    
  while(!feof(fin))
  {
      n = fread(buffer, 1, 1024, fin);
      fwrite(buffer, n, 1, fout);
  }
  fclose(fin);

  fclose(fout);

  exit(0);
  return 0;
}
